from loops import all_normalized_geom
from algorithms import compute_realization_geometric

# compute a geometric realization for all normalized triplets of size 4
L = all_normalized_geom(4)
for triplet in L:
	print(triplet, compute_realization_geometric(triplet))


# search for a triplet of size 6 with no geometric realization
L = all_normalized_geom(6)
print("Looking for a non-realizable triplet of size 6 (stop with ctrl-c if needed, as it takes a lot of time)...")
i, m = 0, len(L) // 100
for triplet in L:
	if i % m == 0:
		print(str(i//m)+"% tested")
	if compute_realization_geometric(triplet) is None:
		print(triplet, "is not realizable")
		break
	i += 1
